# Use dlcomp and dllink to create binary executables

target: hello1 hello2

## handle C program
hello1: hello1.o
	ch dllink hello1 hello1.o

hello1.o: hello1.c
	ch dlcomp hello1 hello1.c

## handle C++ program
hello2: hello2.o
	ch dllink hello2 cplusplus hello2.o

hello2.o: hello2.cpp
	ch dlcomp hello2 cplusplus hello2.cpp

clean:
	rm -f *.o a.out hello1 hello2 

